be.ehealth.business.mycarenetdomaincommons.builders.util

## Class CareProviderBuilder

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.builders.util.CareProviderBuilder

-     public class CareProviderBuilder
      extends Object

  builds a `CareProvider` object with this builder object. create the builder , add the different parts with the builder methods, and call build to retrieve the filled `CareProvider` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CareProviderBuilder(String quality, String id)` creates the careProvider with the main identifier ( see cookbook).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareProviderBuilder` | `addOrganisationIdentification(Identification identification)` fill the organization in a `CareProviderBuilder` with the specified identification
    `CareProviderBuilder` | `addOrganisationWithCbe(String name, String cbeNumber)` fill a `CareProviderBuilder` with a cbe organization
    `CareProviderBuilder` | `addOrganisationWithNihii(String name, String quality, String value)` fill a `CareProviderBuilder` with a nihii organization
    `CareProviderBuilder` | `addPhysicalPersonIdentification(Identification identification)` fill the professional in a `CareProviderBuilder` with the specified identification
    `CareProviderBuilder` | `addPhysicalPersonWithNihii(String name, String quality, String value)` fill a `CareProviderBuilder` with a professional given by nihii
    `CareProviderBuilder` | `addPhysicalPersonWithSsin(String name, String ssin)` fill a `CareProviderBuilder` with a professional given by ssin
    `CareProvider` | `build()` returns the filled careprovider.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CareProviderBuilder

          public CareProviderBuilder(String quality,
                                     String id)

      creates the careProvider with the main identifier ( see cookbook). methods will throw IllegalStateException if you try to insert property twice.
      Parameters:
        `quality` - the quality of the careProvider ( see cookbook ).
        `id` - the identifier ( nihiiNumber , ssin number, .. )

  - ### Method Detail

    - #### addPhysicalPersonIdentification

          public final CareProviderBuilder addPhysicalPersonIdentification(Identification identification)

      fill the professional in a `CareProviderBuilder` with the specified identification
      Parameters:
        `identification` - the person data, supposed to be correctly filled in
      Returns:

    - #### addOrganisationIdentification

          public final CareProviderBuilder addOrganisationIdentification(Identification identification)

      fill the organization in a `CareProviderBuilder` with the specified identification
      Parameters:
        `identification` - the organisation data, supposed to be correctly filled in
      Returns:

    - #### addPhysicalPersonWithSsin

          public final CareProviderBuilder addPhysicalPersonWithSsin(String name,
                                                                     String ssin)

      fill a `CareProviderBuilder` with a professional given by ssin
      Parameters:
        `name` - the name of the person
        `ssin` - the ssin number of the person
      Returns:
        the builder object

    - #### addPhysicalPersonWithNihii

          public final CareProviderBuilder addPhysicalPersonWithNihii(String name,
                                                                      String quality,
                                                                      String value)

      fill a `CareProviderBuilder` with a professional given by nihii
      Parameters:
        `name` - the name of the person
        `quality` - the quality used in the nihii
        `value` - the nihii number
      Returns:
        the builder object

    - #### addOrganisationWithNihii

          public final CareProviderBuilder addOrganisationWithNihii(String name,
                                                                    String quality,
                                                                    String value)

      fill a `CareProviderBuilder` with a nihii organization
      Parameters:
        `name` - the name of the organisation
        `quality` - the quality of the nihii number
        `value` - the nihii number
      Returns:
        the builder object

    - #### addOrganisationWithCbe

          public final CareProviderBuilder addOrganisationWithCbe(String name,
                                                                  String cbeNumber)

      fill a `CareProviderBuilder` with a cbe organization
      Parameters:
        `name` - the organisation name
        `cbeNumber` - the CBE number
      Returns:
        the builder object

    - #### build

          public final CareProvider build()

      returns the filled careprovider.
      Returns:
        `CareProvider`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.